<?php
/**
 * AttributesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Customers
 *
 * Управление клиентами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CustomersClient;

use \Ensi\CustomersClient\Configuration;
use \Ensi\CustomersClient\ApiException;
use \Ensi\CustomersClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * AttributesApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CustomersClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class AttributesApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createCustomerAttributes
     *
     * Создание объекта типа Attribute.
     *
     */
    public function testCreateCustomerAttributes()
    {
    }

    /**
     * Test case for deleteCustomerAttribute
     *
     * Удаление объекта типа Attribute.
     *
     */
    public function testDeleteCustomerAttribute()
    {
    }

    /**
     * Test case for getCustomerAttribute
     *
     * Получение объекта типа Attribute.
     *
     */
    public function testGetCustomerAttribute()
    {
    }

    /**
     * Test case for replaceCustomerAttribute
     *
     * Замена объекта типа Attribute.
     *
     */
    public function testReplaceCustomerAttribute()
    {
    }

    /**
     * Test case for searchCustomerAttributes
     *
     * Поиск объектов типа Attribute.
     *
     */
    public function testSearchCustomerAttributes()
    {
    }
}
